# Interface methods for submodule: MovingHistogramImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MovingHistogramImageFilterBaseProxy as _MovingHistogramImageFilterBaseProxy


# Interface methods for class: MovingHistogramImageFilter
class MovingHistogramImageFilterProxy(_MovingHistogramImageFilterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def ConfigureHistogram(self, arg0) -> None:
		""""""
		...

